无法使用ADT版本20创build新项目

我最近更新了我的ADT,现在是ADT_V20。 我也更新了我的SDK平台工具。 但是我无法从Eclipse中创build新的Project through Project向导。 我有Eclipse Helios最新版本。 和旧的ADT版本一起工作得很好。

在项目向导中,我已经到达安装依赖关系屏幕,其中“下一步”和“完成”button被禁用。 我已经尝试按照向导中所示“安装/升级”新版本,并且该过程已成功完成。 仍然我没有得到启用“下一步”或“完成”button。

其他PC上也会发生这种情况。

有谁能帮我吗?

谢谢

Solutions Collecting From Web of "无法使用ADT版本20创build新项目"

看起来你可以通过从SDKpipe理器中卸载支持库来解决这个问题,然后在向导的提示符下重新安装。 我也遇到了同样的问题,而且这个解决scheme对我来说很合适。

资料来源: http : //code.google.com/p/android/issues/detail?id = 33859

在第二个屏幕上的新的Android项目向导中,在“select是否创build一个活动,如果是,请问什么样的活动”

  • 简单的取消勾选创build活动,将会启用一个新的空白活动。 –
  • 点击完成。

他们可能会尽快解决你突出的问题。

我遇到了一些与Ant build.xml相关的问题,由于升级到ADT20,无法find“com.android.ant.NewSetupTask”

安装ADT版本20后,我现在有这个问题创build一个1.6 / API 8项目,现在新的(版本20)SDK安装。

请问专家之一尝试创build这个,即使没有“活动”,请?

我无法完成检查的空白活动(由于缺lessAPI 8,在要求更新时试图安装已安装的API 9),所以我可以在selectNO活动的情况下完成NOR。

在后一种情况下,即取消选中创build“活动”框,出现“完成”button,部分创build项目,但不会创build项目(因为旧版本甚至会使用旧的API。

此外,没有实际的迹象表明“完成”工作 – 即使对话框仍然存在,您必须在浏览窗格中查看新项目。

如果上述任何一个没有解决你的问题,请做一件事,尝试从eclipse /插件目录中删除org.apache.log4j_1.2.17.jar !!!!

在使用Eclipse Helios IDE的MACOSX中,这个解决scheme对我来说不起作用。 我解决了由SDK工具卸载组件并由同一个SDKpipe理器再次安装它们的问题。 我试图通过同一个新的项目对话框重新安装组件,但没有为我工作,我唯一的解决scheme是,从sdkpipe理器卸载并重新安装。

我希望这个解决scheme适合你:)

我的解决scheme是,我发现我的电脑上没有安装Android支持库(我甚至没有在extras /下安装一个Android文件夹),我以pipe理员身份运行SDKpipe理器,select并安装它。新项目和我得到了同样的错误,我点击安装/升级和完成button成为启用。下一次我创build一个新的项目,我没有得到这个错误。

在我的情况下,该应用程序已经创build,但我没有看到它,因为它完全被欢迎闪屏掩盖。 当我没有看到它,我试图再次创build应用程序,并没有静静地完成。 只有当我冒险closures闪屏,一切都变得清晰。